Bug 525670 - yumdownloader --resolve can't downlod package requires of it.
yumdownloader --resolve can't downlod package requires of it.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-25 04:59 EDT by Freax
Modified: 2014-01-21 18:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 12:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Freax 2009-09-25 04:59:07 EDT
Description of problem:
yumdownloader --resolve option just only download a party of requires packages.

Version-Release number of selected component (if applicable):
# yumdownloader --version
yumdownloader - 1.0 (yum - 3.2.23)


How reproducible:


Steps to Reproduce:
1. yumdownloader --resolve mkinitrd
Loaded plugins: refresh-packagekit
--> Running transaction check
---> Package mkinitrd.i386 0:6.0.71-6.fc10 set to be updated
--> Processing Dependency: nash = 6.0.71-6.fc10 for package: mkinitrd-6.0.71-6.fc10.i386
--> Running transaction check
--> Processing Dependency: nash = 6.0.71-2.fc10 for package: mkinitrd-6.0.71-2.fc10.i386
--> Processing Dependency: nash = 6.0.71-2.fc10 for package: libbdevid-python-6.0.71-2.fc10.i386
---> Package nash.i386 0:6.0.71-6.fc10 set to be updated
--> Running transaction check
---> Package libbdevid-python.i386 0:6.0.71-6.fc10 set to be updated
--> Finished Dependency Resolution
mkinitrd-6.0.71-6.fc10.i386.rpm                                                                                      | 114 kB     00:01        
nash-6.0.71-2.fc10.i386.rpm                                                                                          | 155 kB     00:03     
libbdevid-python-6.0.71-2.fc10.i386.rpm                                                                              |  65 kB     00:00     


2. Actually,mkinitrd also requires coreutils,cpio,device-mapper,diffutils,etc.
 # rpm -pqR mkinitrd-6.0.71-2.fc10.i386.rpm 
warning: mkinitrd-6.0.71-2.fc10.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4ebfc273
/bin/bash  
/bin/sh  
/bin/sh  
/sbin/insmod.static  
/sbin/losetup  
config(mkinitrd) = 6.0.71-2.fc10
coreutils  
cpio  
device-mapper  
diffutils  
dmraid  
e2fsprogs >= 1.38-12
elfutils-libelf  
filesystem >= 2.1.0
fileutils  
findutils  
glib2  
grep  
gzip  
initscripts >= 8.63-1
isomd5sum  
libbdevid.so.6.0.71  
libblkid.so.1  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.2)  
libc.so.6(GLIBC_2.3)  
libc.so.6(GLIBC_2.3.4)  
libc.so.6(GLIBC_2.4)  
libdevmapper.so.1.02  
libdhcp-1.99.so.1  
libdhcp4client-4.0.so.0  
libdhcp6client-1.0.so.2  
libglib-2.0.so.0  
libnash.so.6.0.71  
libnl.so.1  
libparted-1.8.so.8  
libpopt.so.0  
libpopt.so.0(LIBPOPT_0)  
libselinux  
libselinux.so.1  
libsepol  
libsepol.so.1  
libuuid.so.1  
lvm2 >= 2.02.33-9
mdadm  
mktemp >= 1.5-5
mount  
nash = 6.0.71-2.fc10
plymouth >= 0.6.0-0.2008.09.10.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
tar  
 

3.
  
Actual results:
only download libbdevid-python,nash and mkinitrd.

Expected results:
expect download libbdevid-python,nash and mkinitrd,it should also download cpio,device-mapper,diffutils,etc.

Additional info:
Comment 1 Tim Lauridsen 2009-09-25 12:43:50 EDT
yumdownloader --resolve foo download the same packages as will be downloaded
when you type yum install foo on the current system.
It will not download the deps already existing on the current system.

You can fake it by using --instroot to simulate a blank system:

mkdir ~/instroot
yumdownloader --resolve --installroot=$HOME/instroot foo
rm -rf ~/instroot

Note You need to log in before you can comment on or make changes to this bug.